import { Rule } from "./Rule";
import { SendVoteorder } from "../protocol/SendVoteorder";
import { ValidationContext } from "../validation/ValidationContext";
export declare class ImposedRules {
    static getImposedRules(delegator: string, voter: string): Rule[];
}
export declare namespace ImposedRules {
    class NoDustRule extends Rule {
        private voter;
        constructor(voter: string);
        validate(voteorder: SendVoteorder, context: ValidationContext): Promise<void>;
        type(): Rule.Type;
        private vestsToFloat;
        validateRuleObject(unprototypedObj: any): void;
        getDescription(): string;
    }
}
